package com.nisum.ecomorder.controller;

import com.nisum.ecomorder.model.Order;
import com.nisum.ecomorder.model.dto.PlaceOrderRequestDto;
import com.nisum.ecomorder.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RefreshScope
@RestController
public class OrderController {

    @Autowired
    OrderService orderService;

    @PostMapping("/place-order")
    public ResponseEntity<Order> placeOrder(@RequestBody @Valid PlaceOrderRequestDto placeOrderRequestDto) {
        return ResponseEntity.ok(orderService.placeOrder(placeOrderRequestDto));
    }


}
