package com.nisum.ecomorder.model;

import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.data.mongodb.core.mapping.Field;

import javax.validation.constraints.NotBlank;

@Data
public class Address {
    @Field("line1")
    private String addressLine1;
    @Field("line2")
    private String addressLine2;
    private String city;
    private String state;
    private String country;
    @NotBlank(message = "zip code is mandatory")
    @Length(max = 6, min = 5, message = "valid zip code is of 5 or 6 letters")
    private String zipCode;
}
