package com.nisum.ecomorder.model.dto;

import com.nisum.ecomorder.model.Address;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@NoArgsConstructor
@Data
public class PlaceOrderRequestDto {

    @NotBlank(message = "missing customer id")
    private String customerId;

    @Email
    private String email;

    @NotNull
    @Valid
    private Address shipTo;

    @Size(min = 1, message = "order should contain at least one item")
    @Valid
    private List<OrderLineDto> lineItems;
}
